## openbios-ppc 1.0+svn1018

=== debian/changelog ===
openbios-ppc (1.0+svn1018-1ubuntu2) precise; urgency=low

  * Swap binary-arch and binary-indep rules since we're making this a single
    arch, arch dependent package and heave it at the archive again

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Apr 2012 23:49:05 -0400

openbios-ppc (1.0+svn1018-1ubuntu1) precise; urgency=low

  * Change openbios-ppc from arch all to arch poewrpc since it only
    builds on powerpc

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Apr 2012 21:40:05 -0400

openbios-ppc (1.0+svn1018-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.14.x.
  * Add conflicts with qemu-system (<< 0.14.0).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Feb 2011 11:44:44 +0100

openbios-ppc (1.0+svn821-2) experimental; urgency=low

  * Relax conflicts on qemu-system to (<< 0.13.0~). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Aug 2010 21:26:42 +0200

openbios-ppc (1.0+svn821-1) experimental; urgency=low

  * New upstream snapshot, compatible with qemu 0.13.x.
  * Add conflicts with qemu-system (<< 0.13.0).
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 19:54:32 +0000

openbios-ppc (1.0+svn640-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.12.x.
  * Add conflicts with qemu-system (<< 0.12.0).
  * Bump Standards-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Feb 2010 22:18:59 +0100

openbios-ppc (1.0+svn505-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.11.x.
  * Conflicts with qemu (<< 0.11.0).
  * Bump Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Nov 2009 21:48:32 +0000

openbios-ppc (1.0-3) unstable; urgency=low

  * ppc_nographic.patch: patch upstream to fix -nographic for PowerPC 
    target.
  * Bump Standards-Version to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Mar 2009 09:44:08 +0100

openbios-ppc (1.0-2) unstable; urgency=low

  * debian/copyright: add two missing copyright entries. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Mar 2009 15:04:57 +0100

openbios-ppc (1.0-1) unstable; urgency=low

  * Initial release based on openbios-sparc.
  * Add a get-orig-source to debian/rules to download sources and prune
    unneeded directories.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Jan 2009 09:44:18 +0100
