## openbios-ppc 1.0+svn1047

=== debian/changelog ===
openbios-ppc (1.0+svn1047-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 1.0.x. 
  * Bump Standards-Version to 3.9.2:
    - Add build-indep and build-arch targets.
  * Update lintian overrides to the new format.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 08 Jan 2012 13:32:54 +0000
