=== debian/control ===
Source: openbios-ppc
Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
Standards-Version: 3.9.2
Homepage: http://www.openbios.org/

Package: openbios-ppc
Architecture: all
Depends: ${misc:Depends}
Conflicts: qemu (<< 0.11.0), qemu-system ( << 0.14.0)
Suggests: qemu
Description: PowerPC Open Firmware
 OpenBIOS is a free, portable implementation of IEEE 1275-1994 
 (Open Firmware).
 .
 This package contains the PowerPC 32-bit versions of OpenBIOS.
