=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,13 @@
 	tar -zcf ../openbios-ppc_$(UPSTREAM_VERSION).orig.tar.gz $(UPSTREAM_CHECKOUT)
 	rm -rf $(UPSTREAM_CHECKOUT)
 
-build: build-stamp
-build-stamp:
+build: build-arch build-indep
+
+build-arch:
+# We have nothing to do by default.
+
+build-indep: build-indep-stamp
+build-indep-stamp:
 	dh_testdir
 
 ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
@@ -27,11 +32,10 @@
 	@false
 endif
 
-	# PowerPC build
 	config/scripts/switch-arch builtin-ppc
 	cd obj-ppc && $(MAKE) all
 	
-	touch build-stamp
+	touch build-indep-stamp
 
 clean:
 	dh_testdir
@@ -41,7 +45,7 @@
 	rm -f *-stamp
 	dh_clean
 
-install: build
+install: build-indep
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -51,8 +55,8 @@
 	install -m644 obj-ppc/openbios-qemu.elf $(CURDIR)/debian/openbios-ppc/usr/share/openbios/openbios-ppc
 
 
-# Build architecture-dependent files here.
-binary-arch: build install
+# Build architecture-independent files here.
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -67,9 +71,9 @@
 	dh_md5sums
 	dh_builddeb
 
-# Build architecture-independent files here.
-binary-indep: build install
+# Build architecture-dependent files here.
+binary-arch: build-indep install
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
