=== debian/changelog ===
openbios-ppc (1.0+svn1060-1ubuntu2) raring; urgency=low

  * Swap binary-arch and binary-indep rules back and make us arch:all again.
  * Build-dep on a PowerPC cross-compiler and cross-build instead of native.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Mar 2013 16:27:37 -0600

openbios-ppc (1.0+svn1060-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change openbios-ppc from arch all to arch poewrpc since it only
      builds on powerpc
    - Swap binary-arch and binary-indep rules since we're making this a single
      arch, arch dependent package

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Nov 2012 14:48:56 -0400

openbios-ppc (1.0+svn1060-1) unstable; urgency=low

  * New upstream snapshot, shipped with qemu 1.1.0.
  * Fix build on machines where uname returns 'ppc64'. Closes: #676775.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Jun 2012 14:12:00 +0200
