=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: openbios-ppc
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
 Section: misc
 Priority: extra
-Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc, gcc-powerpc-linux-gnu
+Standards-Version: 3.9.3
 Homepage: http://www.openbios.org/
 
 Package: openbios-ppc
