=== debian/rules ===
--- 
+++ 
@@ -27,12 +27,7 @@
 build-indep-stamp:
 	dh_testdir
 
-ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
-	@echo "This package must be built on a PowerPC machine"
-	@false
-endif
-
-	config/scripts/switch-arch builtin-ppc
+	config/scripts/switch-arch cross-ppc
 	cd obj-ppc && $(MAKE) all
 	
 	touch build-indep-stamp
