=== debian/changelog ===
openbios-ppc (1.1-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable; remaining changes:
    - Build-dep on a PowerPC cross-compiler, so we cross-build on non-PPC.
  * Limit cross-compiler build-dep to [!powerpc] so we build on PPC too.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 May 2013 05:59:39 -0600

openbios-ppc (1.1-1) unstable; urgency=low

  * New upstream version for QEMU 1.5.x releases.
  * Refresh debian/patches/01_kernel-headers.diff.
  * Switch maintainer to the Debian QEMU Team, add myself as uploader.
  * Add Vcs-* field.
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of dh_clean -k.
  * Compress sources and binaries with xz.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 21:41:01 +0200
