=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: openbios-ppc
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Uploaders: Aurelien Jarno <aurel32@debian.org>
 Section: misc
 Priority: extra
-Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc, gcc-powerpc-linux-gnu
+Build-Depends: debhelper (>= 7), fcode-utils, xsltproc, gcc-powerpc-linux-gnu [!powerpc]
 Standards-Version: 3.9.3
 Homepage: http://www.openbios.org/
+Vcs-Browser: http://git.debian.org/?p=pkg-qemu/openbios-ppc.git
+Vcs-Git: git://git.debian.org/git/pkg-qemu/openbios-ppc.git
 
 Package: openbios-ppc
 Architecture: all
