=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 build-indep-stamp:
 	dh_testdir
 
-	config/scripts/switch-arch cross-ppc
+	config/scripts/switch-arch builtin-ppc
 	cd obj-ppc && $(MAKE) all
 	
 	touch build-indep-stamp
@@ -43,7 +43,7 @@
 install: build-indep
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	mkdir -p $(CURDIR)/debian/openbios-ppc/usr/share/openbios
@@ -64,7 +64,7 @@
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zxz
 
 # Build architecture-dependent files here.
 binary-arch: build-indep install
