## openbios-ppc 1.1+svn1306

=== debian/changelog ===
openbios-ppc (1.1+svn1306-1) unstable; urgency=medium

  * New upstream version for QEMU 2.1.x releases. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Aug 2014 11:05:38 +0000

openbios-ppc (1.1+svn1229-1) unstable; urgency=low

  * New upstream version for QEMU 1.7.x releases.
  * Mark openbios-ppc as Multi-Arch: foreign.
  * Bump Standards-Version to 3.9.5.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Nov 2013 09:42:13 +0100
