=== debian/control ===
Source: openbios-ppc
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 7), fcode-utils, xsltproc
Standards-Version: 3.9.5.0
Homepage: http://www.openbios.org/
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/openbios-ppc.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/openbios-ppc.git

Package: openbios-ppc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: qemu (<< 0.11.0), qemu-system ( << 0.14.0)
Suggests: qemu
Description: PowerPC Open Firmware
 OpenBIOS is a free, portable implementation of IEEE 1275-1994 
 (Open Firmware).
 .
 This package contains the PowerPC 32-bit versions of OpenBIOS.
