=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,13 @@
 build-indep-stamp:
 	dh_testdir
 
+ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
+	@echo "This package must be built on a PowerPC machine"
+	@false
+endif
+
 	config/scripts/switch-arch builtin-ppc
-	cd obj-ppc && $(MAKE) all
+	cd obj-ppc && $(MAKE) all CC="gcc -m32" HOSTCC="gcc -m32" TARGET=""
 	
 	touch build-indep-stamp
 
@@ -67,7 +72,7 @@
 	dh_builddeb -- -Zxz
 
 # Build architecture-dependent files here.
-binary-arch: build-indep install
+binary-arch: build-arch install
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
